#include <stdio.h>

#include "gestione.h"
#include "function.h"

void test(Prenotazione* p, int p_dim, Mezzo* m, int m_dim, char* cod)
{
	int res = controlloTrasporto(p, p_dim, m, m_dim, cod);
	printf("Controllo prenotazione %s: %d\n", cod, res);	
}

int main(){	
	// lettura dell'elenco di mezzi
	Mezzo* mezzi = NULL;
	int nmezzi = 0;
	mezzi = readMezzo("mezzi.txt", &nmezzi);
	
	// stampa dell'elenco di mezzi
	printf("ELENCO MEZZI:\n");
	int i;
	for (i = 0; i < nmezzi; ++i)
		stampaMezzo(mezzi[i]);
	printf("\n");

	// lettura dell'elenco di prenotazioni
	Prenotazione* pren = NULL;
	int npren = 0;
	pren = readPrenotazione("prenotazioni.txt", &npren);
	
	// stampa dell'elenco di prenotazioni
	printf("ELENCO PRENOTAZIONI:\n");
	for (i = 0; i < npren; ++i)
		stampaPrenotazione(pren[i]);
	printf("\n");
	
	// controllo qualche prenotazione
	test(pren, npren, mezzi, nmezzi, "COD01");
	test(pren, npren, mezzi, nmezzi, "COD02");
	test(pren, npren, mezzi, nmezzi, "COD03");
	printf("\n");
	
	// creo un nuova prenotazione
	Prenotazione pnew = creaPrenotazione(mezzi, nmezzi);
	
	// salvo la nuova prenotazione
	salvaPrenotazione(pnew, "prenotazioni.txt", mezzi, nmezzi);
	
	// libero la memoria
	free(mezzi);
	free(pren);
}