#ifndef GESTIONE_H_
#define GESTIONE_H_

#include <stdio.h>
#include <stdlib.h>

#define MAX_MEZZI 10
#define COD_LENGTH 6 // 5 + 1 per il terminatore

typedef struct {
	int codice;
	int tipo;
	int capacita;
	float costo;
} Mezzo;

typedef struct {
	char codiceTrasporto[COD_LENGTH];
	int anno, mese, giorno;
	float prezzo;
	int quantita;
	int numeroMezzi;
	int mezzi[MAX_MEZZI];
} Prenotazione;

Mezzo* readMezzo(char* fileName, int* dim);
void stampaMezzo(Mezzo m);

Prenotazione* readPrenotazione(char* fileName, int* dim);
void stampaPrenotazione(Prenotazione p);

#endif